---
title: BluetoothRemoteGATTServer.connect()
slug: Web/API/BluetoothRemoteGATTServer/connect
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Method
  - Reference
  - Web Bluetooth API
  - connect()
---
<p>{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>BluetoothRemoteGATTServer.connect()</code></strong> method causes the script execution environment to connect to <code>this.device</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BluetoothRemoteGATTServer.connect()
  .then(function(bluetoothRemoteGATTServer) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to a {{domxref("BluetoothRemoteGATTServer")}}.</p>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Bluetooth', '#dom-bluetoothremotegattserver-connect', 'connect()')}}</td>
   <td>{{Spec2('Web Bluetooth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer.connect")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
